## spice 0.14.3

=== subprojects/spice-common/meson_options.txt ===
option('alignment-checks',
    type : 'boolean',
    value : false,
    yield : true,
    description : 'Enable runtime checks for cast alignment')

option('extra-checks',
    type : 'boolean',
    value : false,
    yield : true,
    description : 'Enable extra checks on code')

option('celt051',
    type : 'feature',
    value : 'disabled',
    yield : true,
    description: 'Enable celt051 audio codec')

option('opus',
    type : 'feature',
    yield : true,
    description: 'Enable Opus audio codec')

option('instrumentation',
    type : 'combo',
    value : 'no',
    choices : ['recorder', 'agent', 'no'],
    description: 'Enable instrumentation')

option('smartcard',
    type : 'feature',
    yield : true,
    description : 'Enable smartcard support')

option('python-checks',
    type : 'boolean',
    value : true,
    description : 'Enable checks for Python modules needed to build from git')

option('manual',
    type : 'boolean',
    value : true,
    yield : true,
    description : 'Build SPICE manual')

option('generate-code',
    type : 'combo',
    choices : ['all', 'server', 'client'],
    description : 'Which code should be built')

option('tests',
    type : 'boolean',
    value : true,
    yield : true,
    description : 'Enable SPICE tests')

=== debian/changelog ===
spice (0.14.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Client initiated renegotiation denial of service (CVE-2021-20201)
    (Closes: #983698)
    - With OpenSSL 1.1: Disable client-initiated renegotiation
    - With OpenSSL 1.0.2 and earlier: disable client-side renegotiation

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 28 Feb 2021 16:29:54 +0100

spice (0.14.3-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * - d/t/automated-tests: d/t/control: make test work again
  * - d/t/control: install new test dependency python-pil
  * - d/t/regression-test.py,d/t/base_test.ppm: add files
      dropped in release tarball but needed for autopkgtests
  * - d/source/include-binaries: allow binary base_test.ppm in package

  [ Michael Tokarev ]
  * build on riscv64 too (Closes: #958349)
  * bump debhelper compat to 12 and switch to debhelper-compat build-dep
  * add Rules-Requires-Root: no
  * d/rules: run dh for recognized targets only
  * use secure (https) URLs in d/control & d/copyright

  [ Salvatore Bonaccorso ]
  * Point Vcs-{Git,Browser} field to qemu-team packaging repository
    (Closes: #971873)
  * Fix multiple buffer overflow vulnerabilities in QUIC image decoding
    (CVE-2020-14355) (Closes: #971750)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 29 Oct 2020 10:57:02 +0300

spice (0.14.3-1) unstable; urgency=medium

  * new upstream version (Closes: #940057, #954629)
  * remove NEWS from d/docs (removed upstream)
  * remove patches included upstream
  * refresh disable-failing-test-listen.patch
  * set Multi-Arch: same for libspice-server-dev too
  * update libspice-server1.symbols

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 14 Apr 2020 16:55:25 +0300

=== debian/control ===
Source: spice
Section: misc
Priority: optional
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Michael Tokarev <mjt@tls.msk.ru>
Build-Depends:
 debhelper-compat (= 12),
 gstreamer1.0-libav,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-tools,
 libcacard-dev,
 libglib2.0-dev (>= 2.38),
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libjpeg-dev,
 liblz4-dev,
 libopus-dev (>= 0.9.14),
 libpixman-1-dev (>= 0.17.7),
 libsasl2-dev,
 libspice-protocol-dev (>= 0.14.0~),
 libssl-dev,
 pkg-config,
 python3,
 python3-pyparsing,
 python3-six,
 liborc-0.4-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.spice-space.org
Vcs-Git: https://salsa.debian.org/qemu-team/spice.git
Vcs-Browser: https://salsa.debian.org/qemu-team/spice

Package: libspice-server1
Section: libs
Architecture: alpha amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64 sh4 x32
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends:
 gstreamer1.0-libav,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
Suggests:
 gstreamer1.0-plugins-ugly,
Description: Implements the server side of the SPICE protocol
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.
 .
 This package contains the run-time libraries for any application that
 wishes to be a SPICE server.

Package: libspice-server-dev
Section: libdevel
Architecture: alpha amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64 sh4 x32
Multi-Arch: same
Depends:
 libspice-protocol-dev (>= 0.14.0~),
 libspice-server1 (= ${binary:Version}),
 ${misc:Depends},
Suggests: pkg-config
Description: Header files and development documentation for spice-server
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.
 .
 This package contains the header files, static libraries and development
 documentation for spice-server.

=== debian/rules ===
#!/usr/bin/make -f

build-arch build-indep build clean install-indep install-arch install binary-arch binary-indep binary: %:
	dh $@

override_dh_auto_configure:
# set GSTREAMER and GLIB2 _LIBS to smaller list
# to avoid linking with useless libraries
	GSTREAMER_1_0_LIBS="-lgstapp-1.0 -lgstreamer-1.0" \
	GLIB2_LIBS="-lgio-2.0 -lgobject-2.0 -lglib-2.0" \
	dh_auto_configure -- --disable-silent-rules \
	 --enable-smartcard \
	 --with-gstreamer=1.0 \
	 --with-sasl \
	 --enable-lz4 \

# remove Requires.private and Libs.private defs from .pc file -- we're not building static libs
	sed -E -i '/^(Libs|Requires)\.private:/D' spice-server.pc

## spice 0.15.0

=== debian/changelog ===
spice (0.15.0-2ubuntu4) jammy; urgency=medium

  * d/p/Revert-reds-start-QXL-devices-if-VM-is-running-fix-r.patch: fix race
    on spice init (LP: #1964777)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 21 Mar 2022 09:23:33 +0100

spice (0.15.0-2ubuntu3) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 01 Dec 2021 16:10:53 +0000

spice (0.15.0-2ubuntu2) jammy; urgency=medium

  * d/p/0001-test-leaks-fix-the-test-with-OpenSSL3.patch:
    Fix the test suite against OpenSSL3 (LP: #1946198)

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 10 Nov 2021 14:22:14 +0100

spice (0.15.0-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946901). Remaining changes:
    - d/control: Don't recommend -libav gstreamer plugins since it is in
      universe. This now downgrades it to a suggest instead of completely
      removing the dependency.
  * Dropped changes
    - d/t/automated-tests: avoid test fail due to build errors [in Debian now]

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 02 Nov 2021 07:52:12 +0100

spice (0.15.0-2) unstable; urgency=medium

  * switch from $DEB_TARGET_MULTIARCH to $DEB_HOST_MULTIARCH
  * do-not-run-nonexisting-doxygen-sh.patch to fix FTBFS
    (apparently wrong upstream meson.build)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 01 Oct 2021 09:49:55 +0300

spice (0.15.0-1) unstable; urgency=medium

  * new upstream release 0.15.0
  * removed patches included upstream
  * use meson+ninja build-system
  * removed the wrongly implemented automated tests
    the meson build system run the same tests now too.
    (Closes: #973803)
  * bump debhelper-compat to 13
  * use ${DEB_TARGET_MULTIARCH} in .install files
  * update paths in d/copyright for spice-common
  * removed trailing whitespaces from this file (d/changelog)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 01 Oct 2021 01:17:04 +0300

spice (0.14.3-2.1ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Don't recommend -libav gstreamer plugins since it
      is in universe. This now downgrades it to a suggest instead
      of completely removing the dependency.
    - d/t/automated-tests: avoid test fail due to build
      errors (Closes: #973803).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Fri, 13 Aug 2021 14:12:44 +0200

spice (0.14.3-2ubuntu3) hirsute; urgency=medium

  * d/t/automated-tests: avoid test fail due to build errors (Closes: #973803)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 05 Nov 2020 11:23:42 +0100

spice (0.14.3-2ubuntu2) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Don't recommend -libav gstreamer plugins since it is in
      universe. This now downgrades it to a suggest instead of completely
      removing the dependency.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 03 Nov 2020 13:07:45 +0100

spice (0.14.3-1ubuntu2) groovy; urgency=medium

  * SECURITY UPDATE: multiple buffer overflows in QUIC image decoding
    - debian/patches/CVE-2020-14355-1.patch: check we have some data to
      start decoding quic image in subprojects/spice-common/common/quic.c.
    - debian/patches/CVE-2020-14355-2.patch: check image size in
      quic_decode_begin in subprojects/spice-common/common/quic.c.
    - debian/patches/CVE-2020-14355-3.patch: check RLE lengths in
      subprojects/spice-common/common/quic_tmpl.c.
    - debian/patches/CVE-2020-14355-4.patch: avoid possible buffer overflow
      in find_bucket in subprojects/spice-common/common/quic_family_tmpl.c.
    - CVE-2020-14355

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Oct 2020 07:00:18 -0400

spice (0.14.3-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1881093). Remaining changes:
    - d/control: Don't recommend -libav gstreamer plugins since it is in
      universe
    - make autopkgtests work again
      - d/t/automated-tests: spice-common moved into dir subprojects
      - d/t/automated-tests: option --enable-automated-tests now is always on
      - d/t/control: make tests more debuggable by allowing stderr
      - d/t/control: install new test dependency python-pil
      - d/t/regression-test.py, d/t/base_test.ppm: add file dropped in release
        tarball but needed for autopkgtests
      - d/source/include-binaries: allow binary base_test.ppm in package
  * Dropped changes
    - d/p/lp-1874054-*: fix rescaling and some crashes (LP: 1874054)
      [Upstream in 0.14.3]

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 28 May 2020 11:56:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,12 @@
 Source: spice
 Section: misc
 Priority: optional
-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends:
- debhelper-compat (= 12),
- gstreamer1.0-libav,
- gstreamer1.0-plugins-base,
- gstreamer1.0-plugins-good,
- gstreamer1.0-plugins-ugly,
- gstreamer1.0-tools,
+ debhelper-compat (= 13),
+ meson, ninja-build,
  libcacard-dev,
  libglib2.0-dev (>= 2.38),
  libgstreamer-plugins-base1.0-dev,
@@ -19,7 +16,7 @@
  libopus-dev (>= 0.9.14),
  libpixman-1-dev (>= 0.17.7),
  libsasl2-dev,
- libspice-protocol-dev (>= 0.14.0~),
+ libspice-protocol-dev (>= 0.14.3~),
  libssl-dev,
  pkg-config,
  python3,
@@ -39,10 +36,10 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends:
- gstreamer1.0-libav,
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
 Suggests:
+ gstreamer1.0-libav,
  gstreamer1.0-plugins-ugly,
 Description: Implements the server side of the SPICE protocol
  The Simple Protocol for Independent Computing Environments (SPICE) is

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
builddir = obj-${DEB_HOST_MULTIARCH}
buildopts = --buildsystem=meson+ninja --builddir=${builddir}

build-arch build-indep build clean install-indep install-arch install binary-arch binary-indep binary: %:
	dh $@ ${buildopts}

# dh build insists on running autoreconf because ./configure has the same
# timestamp as ./configure.ac.  We do not use autoconf, there is no need
# to (re-)run configure at all.
override_dh_update_autotools_config:
override_dh_autoreconf:

execute_after_dh_auto_install:
# XXX hack alert: remove Requires.private and Libs.private defs from .pc file
# these are needed for static build and we're not providing static libs
	sed -E -i \
	 -e '/^(Libs|Requires)\.private:/D' \
	 debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/spice-server.pc

# the test-listen test uses dconf which insists on creating a cache dir in $HOME
# set $HOME to a sane value
# the test is disabled in debian/patches/
#override_dh_auto_test:
#	HOME=${PWD}/${builddir} \
#		dh_auto_test ${buildopts}

## spice 0.15.1

=== meson_options.txt ===
option('gstreamer',
    type : 'combo',
    choices : ['1.0', '0.10', 'no'],
    description : 'Enable gstreamer support')

option('lz4',
    type : 'boolean',
    value : true,
    description: 'Enable lz4 compression support')

option('sasl',
    type : 'boolean',
    value : true,
    description : 'Use cyrus SASL authentication')

option('opus',
    type : 'feature',
    description: 'Enable Opus audio codec')

option('smartcard',
    type : 'feature',
    description : 'Enable smartcard support')

option('alignment-checks',
    type : 'boolean',
    value : false,
    description : 'Enable runtime checks for cast alignment')

option('extra-checks',
    type : 'boolean',
    value: false,
    description : 'Enable extra checks on code')

option('statistics',
    type : 'boolean',
    value: false,
    description : 'Build SPICE with statistic code enabled')

option('manual',
    type : 'boolean',
    value : true,
    description : 'Build SPICE manual')

option('instrumentation',
    type : 'combo',
    value : 'no',
    choices : ['recorder', 'agent', 'no'],
    description: 'Enable instrumentation')

option('tests',
    type : 'boolean',
    value : true,
    description : 'Build the test binaries')

=== subprojects/spice-common/meson_options.txt ===
--- 
+++ 
@@ -9,12 +9,6 @@
     value : false,
     yield : true,
     description : 'Enable extra checks on code')
-
-option('celt051',
-    type : 'feature',
-    value : 'disabled',
-    yield : true,
-    description: 'Enable celt051 audio codec')
 
 option('opus',
     type : 'feature',
@@ -45,7 +39,7 @@
 
 option('generate-code',
     type : 'combo',
-    choices : ['all', 'server', 'client'],
+    choices : ['all', 'server', 'client', 'none'],
     description : 'Which code should be built')
 
 option('tests',
@@ -53,3 +47,8 @@
     value : true,
     yield : true,
     description : 'Enable SPICE tests')
+
+option('spice-protocol-version',
+    type : 'string',
+    value : '0.1', # not existing low number version
+    description : 'Minimal requested SPICE protocol version')

=== debian/changelog ===
spice (0.15.1-1) unstable; urgency=medium

  * new upstream release (0.15.1)
    Closes: LP#1964777
  * remove patches applied upstream:
     build-Correctly-check-for-Python-modules.patch
     test-leaks-fix-the-test-with-OpenSSL3.patch
  * meson-omit-meson-dist.patch: fix build with meson (it fails right away
    because build-aux/meson-dist file is not included in the source tarball)
  * move gstreamer1.0-libav from Recommends: to Suggests: on Ubuntu (MR!5)
  * d/gbp.conf: create initial gbp config
  * d/watch:
     fix url/location
     include all releases, not just even (02468) ones
     signature is foo.sig now, not foo.sign
  * d/upstream/signing-key.asc: key 206D3B352F566F3B0E6572E997D9123DE37A484F
    Victor Toso de Carvalho <me@victortoso.com>

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 17 Oct 2022 20:33:40 +0300

spice (0.15.0-4) unstable; urgency=medium

  * test-leaks-fix-the-test-with-OpenSSL3.patch:
    patch from upstream to fix FTBFS with OpenSSL3

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 14 May 2022 22:46:12 +0300

spice (0.15.0-3) unstable; urgency=medium

  * patch from upstream to fix ftbfs (Closes: #1005451):
    build-Correctly-check-for-Python-modules.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 14 Mar 2022 11:00:39 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: spice
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends:
  debhelper-compat (= 13),
@@ -36,10 +35,11 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends:
+ ${gstreamer-libav:recommends},
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
 Suggests:
- gstreamer1.0-libav,
+ ${gstreamer-libav:suggests},
  gstreamer1.0-plugins-ugly,
 Description: Implements the server side of the SPICE protocol
  The Simple Protocol for Independent Computing Environments (SPICE) is

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,21 @@
 override_dh_update_autotools_config:
 override_dh_autoreconf:
 
+override_dh_gencontrol:
+# gstreamer-libav is in Universe in Ubuntu, can only suggest it,
+# but on Debian it can be Recommended
+	if dpkg-vendor --derives-from Ubuntu; then \
+	    dh_gencontrol -- \
+		-Vgstreamer-libav:recommends= \
+		-Vgstreamer-libav:suggests=gstreamer1.0-libav \
+		; \
+	else \
+	    dh_gencontrol -- \
+		-Vgstreamer-libav:recommends=gstreamer1.0-libav \
+		-Vgstreamer-libav:suggests= \
+		; \
+	fi
+
 execute_after_dh_auto_install:
 # XXX hack alert: remove Requires.private and Libs.private defs from .pc file
 # these are needed for static build and we're not providing static libs

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" \
https://www.spice-space.org/download/releases/spice-server/spice-(\d+\.\d+\.\d+)\.tar\.bz2

## spice 0.15.2

=== debian/changelog ===
spice (0.15.2-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * new upstream release
  * d/source/lintian-overrides: add overrides for asciidoc-generated
    html files in docs/
  * d/control: add loong64 to Architecture: list (Closes: #1059010)
  * d/patches/: remove meson-omit-meson-dist.patch
    (upstream finally included the missing file)
  * d/patches: remove do-not-run-nonexisting-doxygen-sh.patch
    (not needed anymore)
  * d/rules: export PYTHONDONTWRITEBYTECODE=1 (Closes: #1048594)
  * d/control: s/pkg-config/pkgconf/
  * d/control: Standards-Version: 4.7.0 (no changes needed)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 16 Jun 2024 17:43:40 +0300

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,22 @@
  debhelper-compat (= 13),
  meson, ninja-build,
  libcacard-dev,
- libglib2.0-dev (>= 2.38),
+ libglib2.0-dev,
  libgstreamer-plugins-base1.0-dev,
  libgstreamer1.0-dev,
  libjpeg-dev,
  liblz4-dev,
- libopus-dev (>= 0.9.14),
- libpixman-1-dev (>= 0.17.7),
+ libopus-dev,
+ libpixman-1-dev,
  libsasl2-dev,
  libspice-protocol-dev (>= 0.14.3~),
  libssl-dev,
- pkg-config,
+ pkgconf,
  python3,
  python3-pyparsing,
  python3-six,
  liborc-0.4-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.spice-space.org
 Vcs-Git: https://salsa.debian.org/qemu-team/spice.git
@@ -30,7 +30,7 @@
 
 Package: libspice-server1
 Section: libs
-Architecture: alpha amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64 sh4 x32
+Architecture: alpha amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 sh4 x32
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -53,13 +53,13 @@
 
 Package: libspice-server-dev
 Section: libdevel
-Architecture: alpha amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64 sh4 x32
+Architecture: alpha amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 sh4 x32
 Multi-Arch: same
 Depends:
  libspice-protocol-dev (>= 0.14.0~),
  libspice-server1 (= ${binary:Version}),
  ${misc:Depends},
-Suggests: pkg-config
+Suggests: pkgconf
 Description: Header files and development documentation for spice-server
  The Simple Protocol for Independent Computing Environments (SPICE) is
  a remote display system built for virtual environments which allows

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include /usr/share/dpkg/architecture.mk
 builddir = obj-${DEB_HOST_MULTIARCH}
 buildopts = --buildsystem=meson+ninja --builddir=${builddir}
+export PYTHONDONTWRITEBYTECODE=1
 
 build-arch build-indep build clean install-indep install-arch install binary-arch binary-indep binary: %:
 	dh $@ ${buildopts}

## spice 0.16.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 option('gstreamer',
     type : 'combo',
-    choices : ['1.0', '0.10', 'no'],
+    choices : ['1.0', 'no'],
     description : 'Enable gstreamer support')
 
 option('lz4',

=== debian/changelog ===
spice (0.16.0-1) unstable; urgency=medium

  * new upstream release
  * d/copyright: fix empty License:
  * d/control: mention to update qemu arch list when updating spice arch list
  * d/libspice-server1.symbols: add 2 new symbols
  * d/control: depend on spice-protocol >= 0.14.5
  * d/rules: DPKG_GENSYMBOLS_CHECK_LEVEL=4

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 09 Sep 2025 22:37:14 +0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libopus-dev,
  libpixman-1-dev,
  libsasl2-dev,
- libspice-protocol-dev (>= 0.14.3~),
+ libspice-protocol-dev (>= 0.14.5~),
  libssl-dev,
  pkgconf,
  python3,
@@ -30,6 +30,7 @@
 
 Package: libspice-server1
 Section: libs
+# please update qemu:debian/control.mk:spice-arch list when updating this list:
 Architecture: alpha amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 sh4 x32
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -56,7 +57,7 @@
 Architecture: alpha amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 sh4 x32
 Multi-Arch: same
 Depends:
- libspice-protocol-dev (>= 0.14.0~),
+ libspice-protocol-dev (>= 0.14.5~),
  libspice-server1 (= ${binary:Version}),
  ${misc:Depends},
 Suggests: pkgconf

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 builddir = obj-${DEB_HOST_MULTIARCH}
 buildopts = --buildsystem=meson+ninja --builddir=${builddir}
 export PYTHONDONTWRITEBYTECODE=1
+export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 
 build-arch build-indep build clean install-indep install-arch install binary-arch binary-indep binary: %:
 	dh $@ ${buildopts}
